using ComputersShopContracts.BindingModels;
using ComputersShopContracts.SearchModels;
using ComputersShopContracts.ViewModels;

namespace ComputersShopContracts.BisnessLogicsContracts
{
    public interface IComputerLogic
    {
        List<ComputerViewModel>? ReadList(ComputerSearchModel? model);
        ComputerViewModel? ReadElement(ComputerSearchModel model);
        bool Create(ComputerBindingModel model);
        bool Update(ComputerBindingModel model);
        bool Delete(ComputerBindingModel model);
    }
}
